Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoEsFull< Fit > Class Template Reference
[EvolutionStrategies]

The most complex evolutionary strategy representation. More...

`#include <eoEsFull.h>`

Inheritance diagram for eoEsFull< Fit >:

List of all members.

## Public Types
typedef double | Type
## Public Member Functions
virtual std::string | className (void) const
| Return the class id.
void | printOn (std::ostream &os) const
| printing...
void | readFrom (std::istream &is)
| reading...
## Public Attributes
std::vector< double > | stdevs
std::vector< double > | correlations

## Detailed Description

### template<class Fit>
class eoEsFull< Fit >

The most complex evolutionary strategy representation.

Co-evolving mutation rates and correlated mutations.

Definition at line 40 of file eoEsFull.h.

## Member Function Documentation

template<class Fit>
virtual std::string eoEsFull< Fit >::className | ( | void |  | ) | const`[inline, virtual]`

| Return the class id. Returns: the class name as a std::string Reimplemented from EO< Fit >. Definition at line 51 of file eoEsFull.h.

The documentation for this class was generated from the following file:

- eoEsFull.h